<?php

namespace App\Helpers;

use GuzzleHttp\Client;
use GuzzleHttp\Exception\RequestException;
use Illuminate\Support\Str;

class WhatsappHelper
{
    public static function approveExpense($phones, $expense_number)
    {
		$client = new Client();

		$data = [];
		foreach ($phones as $phone) {
			$data[] = [
				'phone' => $phone,
				'message' => 'Pengajuan pengeluaran anda dengan nomor *' . $expense_number . '* telah disetujui. Silahkan buka website untuk melihat detailnya.',
				'source' => 'web'
			];
		}

		$response = $client->post(env('WABLAS_HOST') . '/api/v2/send-message', [
			'headers' => [
				'Authorization' => env('WABLAS_TOKEN'),
				'Content-Type' => 'application/json'
			],
			'json' => [
				'data' => $data
			]
		]);

		return $response->getBody()->getContents();
    }

	public static function rejectExpense($phones, $expense_number)
	{
		$client = new Client();

		$data = [];
		foreach ($phones as $phone) {
			$data[] = [
				'phone' => $phone,
				'message' => 'Pengajuan pengeluaran anda dengan nomor *' . $expense_number . '* telah ditolak. Silahkan buka website untuk melihat detailnya.',
				'source' => 'web'
			];
		}

		$response = $client->post(env('WABLAS_HOST') . '/api/v2/send-message', [
			'headers' => [
				'Authorization' => env('WABLAS_TOKEN'),
				'Content-Type' => 'application/json'
			],
			'json' => [
				'data' => $data
			]
		]);

		return $response->getBody()->getContents();
	}
}
